# $Id: 2f39935241d07617c6e1d295b391269dca6e5211 $

CFLAGS+= -O2

# where to find libcdk, libncurses, libldap and co. if not /usr/lib
CONF_LIBDIR?=	/usr/pkg/lib
# where to find header files for above, if not /usr/include
CONF_INCDIR?=	/usr/pkg/include
# installation prefix
CONF_PREFIX?=	/usr/pkg

#
# db3 or native BSD db (default)
#
CFLAGS+=-DWITH_DB3
CONF_DBLIB?=	-ldb-3.2

#
# talk to clamd daemon in favour of invoking clamscan
#
CFLAGS+= -DVIRSCAN_CLAMD

#CFLAGS+= -DVIRSCAN_USE_POPEN

#
# define the following to link statically
#
#LDSTATIC=	-static
#
# additional libs for linker if -static, this may vary, i.e:
#
# NetBSD:
#CONF_SLIBS?=	-llber -lssl -lcrypto
# Linux:
#CONF_SLIBS?=	-lresolv -llber -lssl -lcrypto ${CONF_DBLIB} -lpthread -ldl

#
# debugging
# #
#CFLAGS+= -DNSMTP_DEBUG
#CFLAGS+= -g3 -ggdb3
DBG=

#
# code checks
#
#CFLAGS+= -W -Wall -Werror -std=c99 -pedantic-errors \
	-Wmissing-prototypes -Wstrict-prototypes -Wpointer-arith \
	-Wbad-function-cast -Wmissing-declarations -Wshadow \
	-Wswitch -Wreturn-type -Wno-traditional -Wextra \
	-Wformat=2 -Wformat-nonliteral \
	-Wformat-security -Wswitch-default \
	-Wfloat-equal -Wdeclaration-after-statement \
	-Wcast-align -Wredundant-decls -Wnested-externs \
	-Wunreachable-code -Wwrite-strings
# GCC 3.4 does not support these
#CFLAGS+= -Wfatal-errors -Wmissing-include-dirs
