/*
 * $Id: 92ee812dbe5baebfcc34effae6294ba1cf127c69 $
 *
 * This file is part of ntldap.
 *
 * Copyright (c) 2006, 2007, 2008 Niklas Olmes <niklas@noxa.de>
 *                                http://www.nevm.de/ntldap/
 *                                NEVM-RIPE
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */

#ifndef HAD_LIBNTLDAP_NT_ALLOC_H
#define HAD_LIBNTLDAP_NT_ALLOC_H

void *nt_calloc(size_t, size_t);
void *nt_malloc(size_t);
void *nt_realloc(void *, size_t);

char *nt_strdup(const char *);
void nt_asprintf(char **, const char *, ...);

#endif
