/*
 * $Id: b1e6f538cc0bda7dea456ce47a7becb84f6b8cf4 $
 *
 * This file is part of ntldap.
 *
 * Copyright (c) 2006, 2007, 2008 Niklas Olmes <niklas@noxa.de>
 *                                http://www.nevm.de/ntldap/
 *                                NEVM-RIPE
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */

#ifndef HAD_LIBNTLDAP_NTG_CDKMENU_H
#define HAD_LIBNTLDAP_NTG_CDKMENU_H

#include "ntg.h"

void ntg_cdkmenu_init(NTG_CTX *);
void ntg_cdkmenu_free(NTG_CDKMENU *);
int ntg_cdkmenu_display(NTG_CTX *, NTG_CDKMENU *);
int ntg_cdkmenu_preprocess(EObjectType, void *, void *, chtype);
int ntg_cdkmenu_postprocess(EObjectType, void *, void *, chtype);

#endif
