/*
 * $Id: 9d7c9e70cdc7db6fc2b8f1be9dc72728c88f0d41 $
 *
 * This file is part of ntldap.
 *
 * Copyright (c) 2006, 2007, 2008 Niklas Olmes <niklas@noxa.de>
 *                                http://www.nevm.de/ntldap/
 *                                NEVM-RIPE
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */

#ifndef HAD_LIBNTLDAP_NTG_KEYS_H
#define HAD_LIBNTLDAP_NTG_KEYS_H

#include "ntg.h"

NTG_KEYS *ntg_keys_init_default(void);
int ntg_keys_cfg_read(NTG_KEYS *, const char *);
void ntg_keys_cfg_free(NTG_KEYS *);
void ntg_keys_perror(const char *);

#endif
