/*
 * $Id: beccb52d4bb83eabece5f641bbfd811387c38263 $
 *
 * This file is part of ntldap.
 *
 * Copyright (c) 2006, 2007, 2008 Niklas Olmes <niklas@noxa.de>
 *                                http://www.nevm.de/ntldap/
 *                                NEVM-RIPE
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */

#ifndef HAD_LIBNTLDAP_NTLC_H
#define HAD_LIBNTLDAP_NTLC_H

#include "ntl.h"

#define NT_CFG_DEFAULT		".ntldaprc"
#define NT_CFG_DEFAULT_DIR	".ntldap"

NTL_CFG *ntlc_cfg_read(const char *, const char *);
void ntlc_cfg_free(NTL_CFG *);

NTL_TPLC *ntlc_tpl_read(const char *);

void ntlc_tpl_free(NTL_TPL *);
void ntlc_tplc_free(NTL_TPLC *);

void ntlc_perror(const char *);

#endif
